Page MenuHomePhabricator

[M] Cache the relevant entities used in media search query
Closed, ResolvedPublic

Description

Media search will search for wikidata entities that match the search term, and then include those entities in its search for files.
When a users scroll down the page to load more, it'll use those same entities to find the next set of results.

Right now, this will cause that same search for wikidata entities (api call & search query) to happen, when we actually already knew the answer.
These results should be stored in, and retrieved from, cache (whatever key-value store - probably redis?) to reduce load & latency of follow-up searches (or next batch) with the same search term.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2020, 10:30 AM
CBogen renamed this task from Cache the relevant entities used in media search query to [M] Cache the relevant entities used in media search query.Sep 30 2020, 4:36 PM

Change 632203 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Cache the relevant entities used in media search query

https://gerrit.wikimedia.org/r/632203

Change 632203 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Cache the relevant entities used in media search query

https://gerrit.wikimedia.org/r/632203

matthiasmullie closed this task as Resolved.Oct 16 2020, 2:24 PM

Patch merged, can't really QA this.